import { type TableCellProps } from '@mui/material/TableCell';
import { type Theme } from '@mui/material/styles';
import { type MRT_Column, type MRT_Header, type MRT_RowData, type MRT_TableInstance } from './types';
export declare const parseCSSVarId: (id: string) => string;
export declare const getMRTTheme: <TData extends MRT_RowData>(table: MRT_TableInstance<TData>, theme: Theme) => {
    baseBackgroundColor: string;
    draggingBorderColor: string;
    matchHighlightColor: string;
    pinnedRowBackgroundColor: string;
    selectedRowBackgroundColor: string;
};
export declare const getCommonMRTCellStyles: <TData extends MRT_RowData>({ column, header, table, tableCellProps, theme, }: {
    column: MRT_Column<TData>;
    header?: MRT_Header<TData> | undefined;
    table: MRT_TableInstance<TData>;
    tableCellProps: TableCellProps;
    theme: Theme;
}) => any;
export declare const getCommonToolbarStyles: <TData extends MRT_RowData>({ table, theme, }: {
    table: MRT_TableInstance<TData>;
    theme: Theme;
}) => {
    alignItems: string;
    backgroundColor: string;
    display: string;
    flexWrap: string;
    minHeight: string;
    overflow: string;
    position: string;
    transition: string;
    zIndex: number;
};
